aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.DeleteItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_DeleteItem.html

Synopsis

- data DeleteItem = DeleteItem {
  - diTable :: Text
  - diKey :: PrimaryKey
  - diExpect :: Conditions
  - diReturn :: UpdateReturn
  - diRetCons :: ReturnConsumption
  - diRetMet :: ReturnItemCollectionMetrics
  }
- deleteItem :: Text -> PrimaryKey -> DeleteItem
- data DeleteItemResponse = DeleteItemResponse {
  - dirAttrs :: Maybe Item
  - dirConsumed :: Maybe ConsumedCapacity
  - dirColMet :: Maybe ItemCollectionMetrics
  }

# Documentation

data DeleteItem Source #

Constructors

DeleteItem |

Fields

- diTable :: Text

  Target table

- diKey :: PrimaryKey

  The item to delete.

- diExpect :: Conditions

  (Possible) set of expections for a conditional Put

- diReturn :: UpdateReturn

  What to return from this query.

- diRetCons :: ReturnConsumption
- diRetMet :: ReturnItemCollectionMetrics

#### Instances

Instances details

ToJSON DeleteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods toJSON :: DeleteItem -> Value Source # toEncoding :: DeleteItem -> Encoding Source # toJSONList :: [DeleteItem] -> Value Source # toEncodingList :: [DeleteItem] -> Encoding Source # omitField :: DeleteItem -> Bool Source #
SignQuery DeleteItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type ServiceConfiguration DeleteItem |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration

Methods

signQuery :: DeleteItem -> ServiceConfiguration DeleteItem queryType -> SignatureData -> SignedQuery Source #

Read DeleteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods readsPrec :: Int -> ReadS DeleteItem Source # readList :: ReadS [DeleteItem] Source # readPrec :: ReadPrec DeleteItem Source # readListPrec :: ReadPrec [DeleteItem] Source #
Show DeleteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods showsPrec :: Int -> DeleteItem -> ShowS Source # show :: DeleteItem -> String Source # showList :: [DeleteItem] -> ShowS Source #
Eq DeleteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods (==) :: DeleteItem -> DeleteItem -> Bool Source # (/=) :: DeleteItem -> DeleteItem -> Bool Source #
Ord DeleteItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Methods

compare :: DeleteItem -> DeleteItem -> Ordering Source #

(<) :: DeleteItem -> DeleteItem -> Bool Source #

(<=) :: DeleteItem -> DeleteItem -> Bool Source #

(>) :: DeleteItem -> DeleteItem -> Bool Source #

(>=) :: DeleteItem -> DeleteItem -> Bool Source #

max :: DeleteItem -> DeleteItem -> DeleteItem Source #

min :: DeleteItem -> DeleteItem -> DeleteItem Source #

Transaction DeleteItem DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
type ServiceConfiguration DeleteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration

deleteItem Source #

Arguments

:: Text | A Dynamo table name
-> PrimaryKey | Item to be saved
-> DeleteItem |

Construct a minimal `DeleteItem` request.

data DeleteItemResponse Source #

Constructors

DeleteItemResponse |

Fields

- dirAttrs :: Maybe Item

  Old attributes, if requested

- dirConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

- dirColMet :: Maybe ItemCollectionMetrics

  Collection metrics if they have been requested.

#### Instances

Instances details

FromJSON DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods parseJSON :: Value -> Parser DeleteItemResponse Source # parseJSONList :: Value -> Parser [DeleteItemResponse] Source # omittedField :: Maybe DeleteItemResponse Source #
AsMemoryResponse DeleteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type MemoryResponse DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse

Methods

loadToMemory :: DeleteItemResponse -> ResourceT IO (MemoryResponse DeleteItemResponse) Source #

Read DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods readsPrec :: Int -> ReadS DeleteItemResponse Source # readList :: ReadS [DeleteItemResponse] Source # readPrec :: ReadPrec DeleteItemResponse Source # readListPrec :: ReadPrec [DeleteItemResponse] Source #
Show DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods showsPrec :: Int -> DeleteItemResponse -> ShowS Source # show :: DeleteItemResponse -> String Source # showList :: [DeleteItemResponse] -> ShowS Source #
Eq DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem Methods (==) :: DeleteItemResponse -> DeleteItemResponse -> Bool Source # (/=) :: DeleteItemResponse -> DeleteItemResponse -> Bool Source #
Ord DeleteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Methods

compare :: DeleteItemResponse -> DeleteItemResponse -> Ordering Source #

(<) :: DeleteItemResponse -> DeleteItemResponse -> Bool Source #

(<=) :: DeleteItemResponse -> DeleteItemResponse -> Bool Source #

(>) :: DeleteItemResponse -> DeleteItemResponse -> Bool Source #

(>=) :: DeleteItemResponse -> DeleteItemResponse -> Bool Source #

max :: DeleteItemResponse -> DeleteItemResponse -> DeleteItemResponse Source #

min :: DeleteItemResponse -> DeleteItemResponse -> DeleteItemResponse Source #

ResponseConsumer r DeleteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type ResponseMetadata DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteItemResponse) -> HTTPResponseConsumer DeleteItemResponse Source #

Transaction DeleteItem DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
type MemoryResponse DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse
type ResponseMetadata DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse